﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using System.Text;
using System.IO;

namespace WebApplication1
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                string xx = Directory.GetCurrentDirectory();
                load_street(@"E:\Street_Test\Street_Test\Street_test1.shp", "ShapeLayer");
            }
        }

        private void load_street(string path, string name)
        {
            ShapeFileFeatureLayer sfl = new ShapeFileFeatureLayer(path);
            sfl.Encoding = Encoding.GetEncoding(1256);
            ShapeFileFeatureLayer.BuildIndexFile(path);
            sfl.ZoomLevelSet.ZoomLevel10.DefaultLineStyle = LineStyles.MajorRoad1;
            sfl.ZoomLevelSet.ZoomLevel10.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            sfl.Name = name;
            Map1.StaticOverlay.Layers.Add(name, sfl);

            ShapeFileFeatureLayer sfl1 = new ShapeFileFeatureLayer(path);
            sfl1.Encoding = Encoding.GetEncoding(1256);
            sfl1.ZoomLevelSet.ZoomLevel10.DefaultTextStyle = TextStyles.LocalRoad1("ANAME");
            sfl1.ZoomLevelSet.ZoomLevel10.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            Map1.DynamicOverlay.Layers.Add(name + " label", sfl1);

            sfl.Open();
            Map1.CurrentExtent = sfl.GetBoundingBox();

            LegendAdornmentLayer legendLayer = new LegendAdornmentLayer();
            LegendItem legendItem = new LegendItem();
            legendItem.ImageStyle = LineStyles.MajorRoad1;
            legendItem.TextStyle = new TextStyle(name, new GeoFont("Arial", 8), new GeoSolidBrush(GeoColor.SimpleColors.Black));
            legendLayer.LegendItems.Add(legendItem);
            Map1.AdornmentOverlay.Layers.Add("Lengend", legendLayer);

        }
    }
}
